Bug 1423201 - abrt-java-connector: FTBFS in rawhide
Summary: abrt-java-connector: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt-java-connector
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 03:09 UTC by Fedora Release Engineering
Modified: 2017-09-20 15:25 UTC (History)
5 users (show)

Fixed In Version: abrt-java-connector-1.1.0-13.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-20 15:25:36 UTC


Attachments (Terms of Use)
build.log (26.14 KB, text/plain)
2017-02-17 03:09 UTC, Fedora Release Engineering
no flags Details
root.log (98.21 KB, text/plain)
2017-02-17 03:09 UTC, Fedora Release Engineering
no flags Details
state.log (667 bytes, text/plain)
2017-02-17 03:09 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 03:09:03 UTC
Your package abrt-java-connector failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17709998

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:09:11 UTC
Created attachment 1251369 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:09:15 UTC
Created attachment 1251370 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:09:18 UTC
Created attachment 1251371 [details]
state.log

Comment 4 Jakub Filak 2017-02-17 04:52:19 UTC
Looks like that cc has problems with including <stdbool.h>:
https://github.com/abrt/libreport/blob/master/src/include/libreport_types.h#L22

Comment 5 Fedora End Of Life 2017-02-28 11:22:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora Update System 2017-09-10 14:13:17 UTC
abrt-java-connector-1.1.0-13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a110b5a82

Comment 7 Fedora Update System 2017-09-10 18:24:09 UTC
abrt-java-connector-1.1.0-13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a110b5a82

Comment 8 Fedora Update System 2017-09-20 15:25:36 UTC
abrt-java-connector-1.1.0-13.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.